Bug 518984 - statfs64 man page prototype is incorrect
Summary: statfs64 man page prototype is incorrect
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: man-pages
Version: 5.3
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Ivana Varekova
QA Contact: BaseOS QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-24 13:17 UTC by David Swegen
Modified: 2016-02-18 00:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-11 09:14:21 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:1574 normal SHIPPED_LIVE man-pages bug fix update 2009-11-11 09:13:32 UTC

Description David Swegen 2009-08-24 13:17:32 UTC
The man page for statfs64 (and fstatfs64) specifies the prototype for the call to be

long statfs64 (const char *path, size_t sz, struct statfs64 *buf);
long fstatfs64 (unsigned int fd, size_t sz, struct statfs64 *buf);

This is incorrect as the function does not take a "size_t sz" parameter.

Also, it would be nice if the man page listed the required header files (sys/statfs.h in this case).

This bug also applies to Fedora 11.

Comment 1 Ivana Varekova 2009-09-14 11:55:44 UTC
I just fix the problem in devel branch (man-pages-3.22-5) - remove the man page and add there link to statfs man page (this solution is in upstream man-pages now). Are you ok with this change (the same can be done in RH5).

Comment 2 David Swegen 2009-09-14 12:30:00 UTC
Yup, that sees fine. Does this also include updating the statfs man page to include statfs64 (thus documenting all four variants at once), which would be the ideal?

Comment 3 Ivana Varekova 2009-09-15 13:44:45 UTC
No there is only a short notice about (f)statfs64? There is no relevant documentation yet.

Comment 9 errata-xmlrpc 2009-11-11 09:14:21 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1574.html


Note You need to log in before you can comment on or make changes to this bug.